Bug 177942 - OOo crash on character select
OOo crash on character select
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-16 13:32 EST by James Hunt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.1.1-5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 06:42:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 25199 None None None Never

  None (edit)
Description James Hunt 2006-01-16 13:32:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
# rpm -qa|grep -i openoffice
openoffice.org-calc-2.0.1.1-4.1
openoffice.org-math-2.0.1.1-4.1
openoffice.org-writer-2.0.1.1-4.1
openoffice.org-core-2.0.1.1-4.1
openoffice.org-impress-2.0.1.1-4.1
openoffice.org-draw-2.0.1.1-4.1

Running OpenOffice.org as a non-root user, I just experienced a crash when altering a character cell. Here's the backtrace:

Just editing a cell with default formatting...

Video Driver is probably radeon
DESKTOP_SESSION is set to kde
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-2.0.1.1-4.1
0x90a007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x90a7cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x3a9420:  + 0x420 (__kernel_sigreturn + 0x0)
0x5d4f3b1: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x39b3b1
0x5b6b6f4: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b76f4
0x5b6ca51: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b8a51
0x36f6908: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf908
0x36f6be3: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cfbe3 (Window::Update() + 0x191)
0x5b66e9f: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b2e9f
0x5b5ee2d: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1aae2d
0x5b14edd: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x160edd
0x5b154e8: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1614e8
0x5b15532: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x161532
0x35aac64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83c64
0x370ff47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e8f47 (Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) + 0x57)
0x373abaf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x213baf (ScrollBar::Scroll() + 0x25)
0x373a9cd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2139cd
0x373aa8f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x213a8f (ScrollBar::DoScroll(long) + 0x27)
0x37001c9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d91c9
0x37002ff: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d92ff (Window::HandleScrollCommand(CommandEvent const&, ScrollBar*, ScrollBar*) + 0x12b)
0x5b11832: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x15d832
0x5b64994: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b0994
0x370156a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1da56a
0x3701a41: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1daa41
0x3703ded: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dcded
0x274aee: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2aaee
0x27032f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2632f
0xfaabe2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0x1222285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x123075b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x1231c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0x1232223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x1086743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0xfa9348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0xfa97ac: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a7ac (gtk_main_do_event + 0x351)
0x11d1df6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x12794ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x127c4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x127c9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x264a53: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa53
0x1325412: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46412 (X11SalInstance::Yield(unsigned char) + 0x28)
0x35b0ef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89ef8 (Application::Yield() + 0x48)
0x35b0f2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89f2e (Application::Execute() + 0x26)
0x4930fea: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x28fea (desktop::Desktop::Main() + 0x15c6)
0x35b6473: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f473
0x35b6523: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f523 (SVMain() + 0x29)
0x4928a37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 (sal_main + 0x57)
0x4928a83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 0x27)
0x125d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1



Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.1.1-4.1

How reproducible:
Didn't try


Actual Results:  OOo crashed.

Expected Results:  OOo shouldn't have crashed.

Additional info:
Comment 1 James Hunt 2006-01-16 13:34:25 EST
BTW - the message about radeon driver is correct. Here's an excerpt from my
/etc/X11/xorg.conf:

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 9100 IGP"
EndSection
Comment 2 Caolan McNamara 2006-01-18 05:27:03 EST
how about with 2.0.1.1-5.1 for fc4 updates ?
Comment 3 Caolan McNamara 2006-01-20 06:42:19 EST
almost certainly http://gcc.gnu.org/bugzilla/show_bug.cgi?id=25199

Note You need to log in before you can comment on or make changes to this bug.